package flink.zanxiangnet.ad.monitoring.pojo.entity;

import lombok.Data;

import java.util.Map;
import java.util.Set;

/**
 * 每 5分钟统计的一条数据
 */
@Data
public class PlanStatOfMinuteDWD {

    /**
     * 统计时间
     */
    private Long statTime;

    /**
     * 统计日期 yyyy-mm-dd
     */
    private String statDay;

    /**
     * 统计的小时
     */
    private Integer hour;

    /**
     * 账号 id
     */
    private Long accountId;

    /**
     * 服务商账号 id
     */
    private Long agencyAccountId;

    /**
     * 计划的广告组与广告的映射
     */
    private Map<Long, Set<Long>> adMapping;

    /**
     * 当日成本偏差
     */
    private Double costDeviationRate;

    private Long costAll;

    private Long costDay;

    private Long costHour;

    private Long costMinute;

    private Long compensationAmountTotal;

    private Long compensationAmountMinute;

    private Long viewCountTotal;

    private Long viewCountDay;

    private Long viewCountHour;

    private Long viewCountMinute;

    private Long thousandDisplayPriceAll;

    private Long thousandDisplayPriceDay;

    private Long thousandDisplayPriceHour;

    private Long thousandDisplayPriceMinute;

    private Double avgViewPerUserAll;

    private Double avgViewPerUserDay;

    private Double avgViewPerUserHour;

    private Double avgViewPerUserMinute;

    private Long specialPageExpUvTotal;

    private Long specialPageExpUvMinute;

    private Long specialPageExpCostAll;

    private Long specialPageExpCostMinute;

    private Long validClickCountTotal;

    private Long validClickCountDay;

    private Long validClickCountHour;

    private Long validClickCountMinute;

    private Double ctrAll;

    private Double ctrDay;

    private Double ctrHour;

    private Double ctrMinute;

    private Long cpcAll;

    private Long cpcDay;

    private Long cpcHour;

    private Long cpcMinute;
}
